> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve agent

> Approves an agent, allowing the agent to use the application. This method is not yet available for public use. Can be [sent in batch](/api/configuration/v3.5/batch-requests).

**Required scopes:** `agents--all:rw`, `accounts--all:rw`, <Tooltip tip="Private scope — not configurable in the token creator.">`subscription.lc:rw`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/approve_agent
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/approve_agent:
    post:
      tags:
        - Agents
      summary: Approve agent
      description: >-
        Approves an agent, allowing the agent to use the application. This
        method is not yet available for public use. Can be [sent in
        batch](/api/configuration/v3.5/batch-requests).
      operationId: approve-agent
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentIdRequest'
            example:
              id: smith@example.com
      responses:
        '200':
          description: Agent approved successfully.
components:
  schemas:
    AgentIdRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: The agent ID.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````